Contenu | Rechercher | Menus

Annonce

L'équipe des administrateurs et modérateurs du forum vous invite à prendre connaissance des nouvelles règles.
En cas de besoin, vous pouvez intervenir dans cette discussion.

Ubuntu 18.04 LTS
Ubuntu-fr propose des clés USB de Ubuntu et toutes ses « saveurs » ainsi qu'un magnifique t-shirt pour cette toute nouvelle version d'Ubuntu !

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 04/01/2018, à 18:13

Goven 35

Impossible d'ouvrir firefox[Résolu]

Bonjour,
Je suis nouveau sur le forum. Je viens d'installer Ubuntu MATE 16.04 LTS sur mon PC. Je l'ai essayé au départ sans l'installer et étant satisfait du résultat ,j'ai lancé l'installation. Avec le CD,firefox fonctionnait bien même avec la fonction SYNC  et depuis je n'arrive plus à l'ouvrir. Une fenêtre en anglais intitulé Mozilla Crach Reporter  s'ouvre et je ne comprend pas le texte.
Merci d'avance pour la solution à mon problème.

Goven 35

Dernière modification par Goven 35 (Le 16/01/2018, à 17:00)

En ligne

#2 Le 04/01/2018, à 22:04

nam1962

Re : Impossible d'ouvrir firefox[Résolu]

Que donne

firefox

dans le terminal ?


Almanet doLys de l'open source : mon tuto pour optimiser / finaliser une install
Xubuntu devel - Manjaro unstable - OpenSUSE tumbleweed (GeckoLinux) -Debian Testing Et vous ?
57 convertis  IRL (n'ont pas eu le choix...).
Un jeune site que j'aime bien, le top du T-shirt homme ...bio et éthique en plus : https://goudronblanc.com

Hors ligne

#3 Le 04/01/2018, à 22:18

Goven 35

Re : Impossible d'ouvrir firefox[Résolu]

Désolé, mais je le trouve ou ce terminal.
Lorsque j'ai terminé l'installation on m'a demandé d’effectuer une mise à jour du système.
Le problème ne viendrait il pas de là?
Thunderbird ne fonctionne pas également.

Goven 35

En ligne

#4 Le 04/01/2018, à 22:23

nam1962

Re : Impossible d'ouvrir firefox[Résolu]

Normalement tu le trouves dans le menu

https://doc.ubuntu-fr.org/terminal

Dernière modification par nam1962 (Le 04/01/2018, à 22:23)


Almanet doLys de l'open source : mon tuto pour optimiser / finaliser une install
Xubuntu devel - Manjaro unstable - OpenSUSE tumbleweed (GeckoLinux) -Debian Testing Et vous ?
57 convertis  IRL (n'ont pas eu le choix...).
Un jeune site que j'aime bien, le top du T-shirt homme ...bio et éthique en plus : https://goudronblanc.com

Hors ligne

#5 Le 04/01/2018, à 23:44

Goven 35

Re : Impossible d'ouvrir firefox[Résolu]

Désolé, mais je ni comprend rien.Merci quand mème

Goven 35

En ligne

#6 Le 05/01/2018, à 00:15

Roschan

Re : Impossible d'ouvrir firefox[Résolu]

Faut pas exagérer, MATE n'a rien de compliqué.

Il y a un menu pour accéder aux applications, tu l'ouvres, tu y cherches le "Terminal MATE", tu le lances, tu y tapes "firefox", tu valides, et si il y a des messages d'erreur tu les copies/colles ici-même. Je ne vois pas comment on pourrait davantage te prémâcher la procédure.

Hors ligne

#7 Le 06/01/2018, à 01:16

Goven 35

Re : Impossible d'ouvrir firefox[Résolu]

Bonsoir,
j'ai l’impression que mon dernier message n'est pas passé
voici ce qu'indique le terminal quand je tape firefox
ExceptionHandler::GenerateDunry cloned child 3225
ExcepUonttandler;:§endCondnuebignalTochild sent continue signal to child
ExceptionHandler::TÿfaitForContinue§ignal #aiting for continue signal...

En ligne

#8 Le 06/01/2018, à 09:10

metalux

Re : Impossible d'ouvrir firefox[Résolu]

Bonjour,
Est-ce un vieux PC?
Vérifie le support SSE2 avec cette commande:

grep sse2 /proc/cpuinfo && echo "supporté" || echo "non supporté"

Si tu as "non supporté" dans le résultat, c'est que ton processeur n'est plus compatible avec firefox. Il te faudra dans ce cas soit installer la version ESR de firefox, soit te tourner avec une alternative comme Waterfox, si nam1962 pouvait confirmer que waterfox fonctionne sans sse2.
La version du live supportait encore ces processeurs, ce qui n'est plus le cas.
Si tu as "supporté", tu es touché par autre chose et là il y aura certainement moyen de faire tourner firefox sur ton Pc.

Dernière modification par metalux (Le 06/01/2018, à 23:40)

En ligne

#9 Le 06/01/2018, à 09:43

nam1962

Re : Impossible d'ouvrir firefox[Résolu]

Pour waterfox, je ne suis pas sûr du tout qu'il fonctionne sans SSE2 (le mieux est de tester) Sinon, il y a Palemoon qui a plus de chances de passer.
Ce qui est curieux c'est Thunderbird
@Goven 35 peux tu nous donner aussi le retour complet de

thunderbird

(avant de donner le retour, lis ce post : https://forum.ubuntu-fr.org/viewtopic.php?id=1614731

Tu es du Pays rennais ? (suis 50% vendelais)


Almanet doLys de l'open source : mon tuto pour optimiser / finaliser une install
Xubuntu devel - Manjaro unstable - OpenSUSE tumbleweed (GeckoLinux) -Debian Testing Et vous ?
57 convertis  IRL (n'ont pas eu le choix...).
Un jeune site que j'aime bien, le top du T-shirt homme ...bio et éthique en plus : https://goudronblanc.com

Hors ligne

#10 Le 06/01/2018, à 12:37

Goven 35

Re : Impossible d'ouvrir firefox[Résolu]

Bonjour,

Avec Windows XP je ne pouvais déjà plus installer les mise à jour Firefox. Le plus simple peut-être serai de tenter d'installer la version ESR de firefox. pourriez vous m'expliquer la procédure à suivre.

merci

En ligne

#11 Le 06/01/2018, à 20:30

metalux

Re : Impossible d'ouvrir firefox[Résolu]

Non, nam1962, ce n'est pas curieux pour thunderbird, c'est justement pour ça que j'ai pensé au sse2 car ni TB ni FFox ne fonctionne pour Goven35.
Dans cette page, il est écrit:

Si vous téléchargez Thunderbird 52 ou une version ultérieure et essayez de l'installer, vous verrez apparaitre le message suivant : Thunderbird ne peut pas être installé sur votre ordinateur. Cette version de Thunderbird requiert un processeur supportant le SSE2.

Et pour firefox ici:

Si Firefox est déjà installé sur votre ordinateur, vous pouvez continuer à l'utiliser mais vous ne recevrez pas de mises à jour au-delà de la version 48. Si vous téléchargez Firefox version 49 ou supérieure et essayez de l'installer, vous verrez le message Firefox n’a pas pu être installé. Cette version de Firefox nécessite un processeur prenant en charge SSE2.

Goven35, as-tu passé la commande que je t'ai indiquée dans un terminal pour être sûr que ce soit ce cas qui concerne ton Pc? C'est indispensable de le savoir avant d'envisager autre chose.
Si c'est le cas, laisse tomber l'idée de la version ESR, j'ai vérifié nous en sommes à la 52 aussi bien pour Thunderbird que Firefox. Change de navigateur pour un qui soit compatible avec ton processeur.

Dernière modification par metalux (Le 06/01/2018, à 20:31)

En ligne

#12 Le 06/01/2018, à 20:35

nam1962

Re : Impossible d'ouvrir firefox[Résolu]

Palemoon est en principe un branche très éloignée basée sur la 28

Merci metalux pour l'info TB, je n'avais pas suivi cet abandon SSE !


Almanet doLys de l'open source : mon tuto pour optimiser / finaliser une install
Xubuntu devel - Manjaro unstable - OpenSUSE tumbleweed (GeckoLinux) -Debian Testing Et vous ?
57 convertis  IRL (n'ont pas eu le choix...).
Un jeune site que j'aime bien, le top du T-shirt homme ...bio et éthique en plus : https://goudronblanc.com

Hors ligne

#13 Le 06/01/2018, à 21:52

Goven 35

Re : Impossible d'ouvrir firefox[Résolu]

Désolé, palemoon ne fonctionne pas non plus ni Midori que j'ai également installé qui lui s'ouvre  au contraire des autres mais se referme aussitôt.La version firefox 48.0.2 que j'avais sur Windows XP serai peut-être la solution. Mais comment l'installer?
Je me pose la question si ubuntu Mate est vraiment adapté à mon système pour naviguer sur le web. Pour la bureautique cela marche impeccable. Pour Métalux,en ce moment je teste des solutions d'un autre forum sur un autre site. Si je ne règle pas le problème,je transmettrai se que tu m'a demandé.

Merci pour à tous votre intérêt

En ligne

#14 Le 06/01/2018, à 22:33

nam1962

Re : Impossible d'ouvrir firefox[Résolu]

Vu ton matériel, côté OS debian + xfce semble plus adapté.
Sans aller jusque w3m, il y a encore un peu de choix : Qupzilla (Falcon) - Min - Netsurf... (détails )

Dernière modification par nam1962 (Le 07/01/2018, à 10:04)


Almanet doLys de l'open source : mon tuto pour optimiser / finaliser une install
Xubuntu devel - Manjaro unstable - OpenSUSE tumbleweed (GeckoLinux) -Debian Testing Et vous ?
57 convertis  IRL (n'ont pas eu le choix...).
Un jeune site que j'aime bien, le top du T-shirt homme ...bio et éthique en plus : https://goudronblanc.com

Hors ligne

#15 Le 06/01/2018, à 23:37

metalux

Re : Impossible d'ouvrir firefox[Résolu]

Palemoon branche main sse2 également....pfff, 2 secondes pour voir si ton proc supporte le sse2 ou pas, m'enfin si tu as du temps à perdre.....je te laisse tester tous les navigateurs que tu souhaites plutôt que d'essayer de comprendre la raison...
Dommage car il existe un dépôt pour palemoon prévu sur les PC non sse2 que j'aurais pu t'aider à installer. Un copier/coller dans un terminal c'était trop te demander? mad
Ton processeur ne serait pas par hasard un AMD athlon ou sempron? Ça me fatigue ces demandes d'aide qui vont dans tous les sens! Désolé tu prends pour tout le monde, mais c'est de plus en plus fréquent ce genre de comportement ou on répond à côté de la plaque, soit on ne répond pas du tout.

En ligne

#16 Le 06/01/2018, à 23:45

Goven 35

Re : Impossible d'ouvrir firefox[Résolu]

Je t'ai dit que je te recontacterai plus tard si besoin.
.Bonne nuit et désolé de t'avoir importuné.

En ligne

#17 Le 12/01/2018, à 20:58

metalux

Re : Impossible d'ouvrir firefox[Résolu]

Bonsoir Goven 35,
As-tu trouvé un navigateur qui te convienne?

En ligne

#18 Le 13/01/2018, à 18:44

Goven 35

Re : Impossible d'ouvrir firefox[Résolu]

Bonjour,

Désolé, mais suite à ton post du 06/01 ou j'ai senti ton agacement suite à mes messages. Mes connaissances en informatique étant proche du néant j'avais du mal à comprendre les différentes explications donc j'avais décidé laisser tomber ce forum. Mon ordi étant d' un certain age, j'ai préféré effectuer ce changement de système seul. J'ai acheté le disque de mate sur la boutique de ubuntu.fr. On indique bien que ce système est idéale pour les vielle machine mais on indique pas qu'il faut absolument un sse2 pour certains logiciel inclus. Autrement j'aurai hésité a me lancer dans cette aventure.
Revenons a nos moutons. Depuis j'ai réinstallé mate en me déconnectant du réseau. Au redémarrage Firefox et thunberdird fonctionnais. Mais ensuite pour faire fonctionner mon scan, j'ai fait une mise à jour et firefox est repassé en version 57. J'ai ensuite téléchargé un paquet
firefox-45.0.2esr.tar.bz2 que je n'arrive pas à installé. En fouillant dans le fichier décompressé,J'ai découvert une icône qui me permet d'ouvrir le navigateur dans cette version et depuis je fonctionne comme cela même si je pense que ce n'est pas l'idéal. J'ai également téléchargé un paquet firefox-48.0.1.win32.sdk.zip mais la aussi même problème et je n'ai pas trouvé de lanceur.

Voila ou j'en suis. Merci de ton intéret à mon problème. Desolé pour le pavé,mais comme cela tu as un petit historique
Goven35

En ligne

#19 Le 13/01/2018, à 21:09

metalux

Re : Impossible d'ouvrir firefox[Résolu]

Oui, j'étais un peu agacé car tu ne répondais pas à la question alors qu'il suffisait de faire un copier/coller dans un terminal et de me donner le résultat, ce qui aurait permis de déterminer si ton processeur supportait le sse2. Sans ça, ça revient à te donner des solutions en aveugle. Pour faire l'analogie, c'est comme si un médecin donnait un médicament et si ça ne fonctionne pas, il en essaye un autre jusqu'à trouver le bon. Avoue que ce n'est pas très efficace! Un diagnostic est quand même préférable pour déterminer la cause.
Si c'est le fait d'ouvrir un terminal que tu ne comprenais pas, il ne fallait pas hésiter à demander comment le faire.
Donc avant de continuer:
1-Sais-tu ouvrir un terminal et coller une commande?
2-Sais-tu que les commandes commençant par sudo sont des tâches effectuées en administrateur qui te demande ton mot de passe, et que celui-ci ne s'affiche pas quand tu le tapes?
3-Gnu/Linux n'est pas Windows, le fonctionnement diffère même si la finalité est la même, l'usage d'un PC.

Si tu comprends cela, tu peux lire la suite sinon n'hésite pas à poser des questions.
Si firefox fonctionnais avant les mises à jour, il faudra installer la version du live et la bloquer par la suite. C'est faisable en principe, soit le plus facile avec le gestionnaire de paquets synaptic, soit en ligne de commande avec le terminal.
Pour savoir si cette version est encore installable, passe cette commande:

apt-cache show firefox | grep Version

Si tu as Version: 45.0.2+build1-0ubuntu1 dans le retour, tu devrais pouvoir l'installer avec:

sudo apt-get install firefox=45.0.2+build1-0ubuntu1

Ensuite il faudra bloquer la version pour quelle ne se mette pas à jour, mais on verra ça dans un second temps.

En ligne

#20 Le 14/01/2018, à 00:17

Goven 35

Re : Impossible d'ouvrir firefox[Résolu]

Bonsoir,
Que ce peut être facile quand on comprend ce qu'il faut faire. la commande :sudo apt-get install firefox=45.0.2+build1-0ubuntu1 à bien installé cette version de firefox dans le système. J'ai également essayer avec en remplaçant 45.0.2 par 48.0.1 mais la  il ne voulais pas. La ligne:apt-cache show firefox | grep Version me la confirmé. Maintenant il ne reste plus qu'a bloqué la version.

Moi aussi ça m’agaçait de ne pas comprendre ce que tu m'expliquait. Une galère de plusieurs jours est en passe de se régler. Pour éviter le mème problème avec thunderbird il me faudra peut être bloquer également la version.

Merci pour tout et dommage qu'il est eu cette incompréhension de ma part.

Goven 35

En ligne

#21 Le 14/01/2018, à 00:21

Goven 35

Re : Impossible d'ouvrir firefox[Résolu]

Rebonsoir

Petit problème,l'interface des menue est en anglais.

En ligne

#22 Le 14/01/2018, à 00:32

metalux

Re : Impossible d'ouvrir firefox[Résolu]

Essaye d'installer le paquet de langue correspondant:

sudo apt-get install firefox-locale-fr=45.0.2+build1-0ubuntu1

Redémarre firefox pour ce soit pris en compte.
Pour bloquer la version il y a plusieurs possibilité mais la plus simple est celle-ci:

sudo apt-mark hold firefox
sudo apt-mark hold firefox-locale-fr

Ce n'est pas l'idéal d'utiliser une vieille version pour des raisons de sécurité. Si tu le souhaites, je t'indiquerai comment installer palemoon-nonsse2.
J'avais posté les jours passés mais je me suis dis que j’allais te noyer vu que déjà tu ne comprenais pas ce que je te demandais. Lorsque tu seras prêts et si tu le souhaites, je te reposterai la démarche, j'ai gardé une copie de . message

En ligne

#23 Le 14/01/2018, à 08:46

Goven 35

Re : Impossible d'ouvrir firefox[Résolu]

Bonjour,
Merci pour tes solutions. Çà fonctionne !!!! J'avais crée un compte firefox depuis quelque années,ce qui me permet de retrouver les mèmes marques pages d'un appareil à l'autre. Il n'y aurai t'il moyen d'installer un anti-virus pour sécuriser le système?
Autrement pourquoi ne pas essayer palemoon.

bon ddimanche

En ligne

#24 Le 14/01/2018, à 11:52

nam1962

Re : Impossible d'ouvrir firefox[Résolu]

Pas besoin d'antivirus, par contre tu peux protéger ton firefox avec les bonnes extensions :
ublock origin
privacy badger
cookies autodelete
decentraleyes


Almanet doLys de l'open source : mon tuto pour optimiser / finaliser une install
Xubuntu devel - Manjaro unstable - OpenSUSE tumbleweed (GeckoLinux) -Debian Testing Et vous ?
57 convertis  IRL (n'ont pas eu le choix...).
Un jeune site que j'aime bien, le top du T-shirt homme ...bio et éthique en plus : https://goudronblanc.com

Hors ligne

#25 Le 14/01/2018, à 14:15

metalux

Re : Impossible d'ouvrir firefox[Résolu]

+1
Pas besoin d'anti-virus, ça fait environ 8-10 ans que j'utilise Ubuntu et je n'en ai jamais vu un pointer son bout de nez. Ça ne sert à rien sauf si tu souhaites scanner un fichier avant de le transmettre sur un Windows. Personnellement, je n'en utilise pas et je m'en porte pas plus mal.
Idem pour le pare-feu, ne t'embête pas avec ça si tu es derrière une box.
Pour les extensions, j'utilise également:
ublock origin INDISPENSABLE
cookies autodelete
decentraleyes
umatrix, très puissant voire trop puissant, déconseillé si tu es novice. Il peut être remplacé par le mode avancé de ublock origin qui est plus simple d'approche.

Comme tu peux le voir, J'utilise à peu de chose près les mêmes extensions que Nam1962. Ce qui est intéressant c'est que nous ne nous sommes pas copiés mais que nous en sommes arrivés à sélectionner les mêmes extensions, ce qui ne relève pas du hasard mais de notre utilisation au quotidien.

Pour Palemoon, je te remets le message que j'avais posté il y a quelques jours:

Bonjour Goven 35,
Toutes les applications modernes demandent maintenant le jeu d'instruction sse2 comme firefox ou thunderbird ici, mais également des applications comme spotify et certainement d'autres que je n'ai pas en tête.

Palemoon n'étant pas dans les dépôts, il faudra ajouter son dépôt. Toujours pour des raisons de sécurité, il est important d'ajouter la clef de celui-ci pour authentifier la provenance des paquets, sinon tu auras un message de ce type:

    ATTENTION : les paquets suivants n'ont pas été authentifiés.
    Faut-il installer ces paquets sans vérification ? [o/N]
    E: Certains paquets n'ont pas pu être authentifiés

La règle consiste à utiliser au maximum les paquets des dépôts officiels d'Ubuntu, et vraiment si on a pas le choix comme ici, d'ajouter un dépôt authentifié par sa clef de sécurité. C'est une règle de base pour la sécurité. Windows, contrairement à Gnu/Linux, n'authentifie pas les logiciels par une clef, ce qui facilite l'installation de bestioles en tout genre dans ton Pc. Si tu pratiques de même avec Ubuntu, alors tu t'exposes aux mêmes risques. Il y a tout un changement d'habitude à acquérir.

Si tu n'as pas le support sse2, il y a une version de palemoon prévu pour ce type de processeur dans le dépôt. Je t'indique les commandes qui devraient te permettre de l'installer mais si tu rencontres des erreurs, poste le résultat ici que je vois ou je me suis trompé:
Donc pour ajouter le dépôt, cette commande devrait être suffisante:

echo "deb http://download.opensuse.org/repositories/home:/stevenpusser/xUbuntu_$(lsb_release -rs)/ /" | sudo tee /etc/apt/sources.list.d/palemoon.list 

Pour ajouter la clef de sécurité:

wget -qO - https://download.opensuse.org/repositories/home:/stevenpusser/xUbuntu_$(lsb_release -rs)/Release.key | sudo apt-key add -

puis pour mettre à jour la liste des dépôts:

sudo apt update

Et enfin pour installer la version non-sse2:

sudo apt-get install palemoon-nonsse2

Reviens vers moi si tu rencontres des erreurs en postant ici le message d'erreur que te renvoies le terminal.
Bon dimanche également.

En ligne